Package org.jfree.layouting.input.style.selectors

## Class SelectorWeight

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.SelectorWeight

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable`

      public final class SelectorWeight
      extends java.lang.Object
      implements java.lang.Comparable, java.io.Serializable

  Creation-Date: 05.12.2005, 19:39:58
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectorWeight​(int styleAttribute, int idCount, int attributeCount, int elementCount)` |
    `SelectorWeight​(SelectorWeight parent, int styleAttribute, int idCount, int attributeCount, int elementCount)` |
    `SelectorWeight​(SelectorWeight first, SelectorWeight second)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object o)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorWeight

          public SelectorWeight​(int styleAttribute,
                                int idCount,
                                int attributeCount,
                                int elementCount)

    - #### SelectorWeight

          public SelectorWeight​(SelectorWeight first,
                                SelectorWeight second)

    - #### SelectorWeight

          public SelectorWeight​(SelectorWeight parent,
                                int styleAttribute,
                                int idCount,
                                int attributeCount,
                                int elementCount)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`